const { faker } = require('@faker-js/faker');

const generateProducts = function (itemCount) {
  const products = []

  for (let index = 1; index < itemCount; index++) {
    products.push(newFakedProduct());
  }

  return products
}

function newFakedProduct() {
  return {
    "id": faker.datatype.uuid(),
    "color": faker.commerce.color(),
    "department": faker.commerce.department(),
    "price": faker.commerce.price(),
    "productName": faker.commerce.productName(),
    "type": faker.commerce.productAdjective(),
    "productDescription": faker.commerce.productDescription(),
    "productMaterial": faker.commerce.productMaterial(),
    "image": faker.image.food(),
  }
}

module.exports = generateProducts