export default {
  headers() {
    return [
      {
        text: "First Name",
        align: "left",
        value: "firstName",
        type: "text",
      },
      { text: "Last Name", value: "lastName", type: "text" },
      { text: "Email", value: "email", type: "text" },
      { text: "Country", value: "country", type: "text" },
      { text: "City", value: "city", type: "text" },
      { text: "Image", value: "image", type: "text", sortable: false },
      { text: "Actions", value: "actions", sortable: false },
    ];
  },
  dialogHeaders() {
    return [
      { text: "All Data", value: "all", type: "text" },
      {
        text: "First Name",
        align: "left",
        value: "firstName",
        type: "text",
      },
      { text: "Last Name", value: "lastName", type: "text" },
      { text: "Email", value: "email", type: "text" },
      { text: "Country", value: "country", type: "text" },
      { text: "City", value: "city", type: "text" },
      { text: "Image", value: "image", type: "text", sortable: false },
    ];
  },
  customerList(state) {
    return state.customerList;
  },
  editedItem(state) {
    return state.editedItem;
  },
  dialog(state) {
    return state.dialog;
  },
  loading(state) {
    return state.loading;
  },
  getOptions(state) {
    return state.options;
  },
  totalCustomers(state) {
    return state.totalCustomers;
  },
  getSearch(state) {
    return state.search;
  },
  getColumn(state) {
    return state.column;
  },
};
